# UsersApi

All URIs are relative to *<https://api.ionos.com/databases/mongodb>*

| Method                                              | HTTP request                                      | Description                 |
| --------------------------------------------------- | ------------------------------------------------- | --------------------------- |
| [**clustersUsersDelete**](#clustersusersdelete)     | **DELETE** /clusters/{clusterId}/users/{username} | Delete a MongoDB User by ID |
| [**clustersUsersFindById**](#clustersusersfindbyid) | **GET** /clusters/{clusterId}/users/{username}    | Get a MongoDB User by ID    |
| [**clustersUsersGet**](#clustersusersget)           | **GET** /clusters/{clusterId}/users               | Get all Cluster Users       |
| [**clustersUsersPatch**](#clustersuserspatch)       | **PATCH** /clusters/{clusterId}/users/{username}  | Patch a MongoDB User by ID  |
| [**clustersUsersPost**](#clustersuserspost)         | **POST** /clusters/{clusterId}/users              | Create MongoDB User         |

## clustersUsersDelete

> clustersUsersDelete(clusterId, username)

Delete a MongoDB User by ID

Deletes a MongoDB user specified by its ID.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs-dbaas-mongo');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.UsersApi(config);
// Delete a MongoDB User by ID
api_instance
  .clustersUsersDelete({
    clusterId: clusterId_example,
    username: username_example
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name          | Type       | Description                   | Notes                   |
| ------------- | ---------- | ----------------------------- | ----------------------- |
| **clusterId** | **string** | The unique ID of the cluster. | \[default to undefined] |
| **username**  | **string** | The authentication username.  | \[default to undefined] |

### Return type

[**User**](/mongodb-sdk-nodejs/models/user.md)

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## clustersUsersFindById

> clustersUsersFindById(clusterId, username)

Get a MongoDB User by ID

Retrieves the MongoDB user identified by the username.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs-dbaas-mongo');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.UsersApi(config);
// Get a MongoDB User by ID
api_instance
  .clustersUsersFindById({
    clusterId: clusterId_example,
    username: username_example
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name          | Type       | Description                   | Notes                   |
| ------------- | ---------- | ----------------------------- | ----------------------- |
| **clusterId** | **string** | The unique ID of the cluster. | \[default to undefined] |
| **username**  | **string** | The authentication username.  | \[default to undefined] |

### Return type

[**User**](/mongodb-sdk-nodejs/models/user.md)

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## clustersUsersGet

> clustersUsersGet(clusterId, opts)

Get all Cluster Users

Retrieves a list of MongoDB users.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs-dbaas-mongo');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.UsersApi(config);
// Get all Cluster Users
api_instance
  .clustersUsersGet({
    clusterId: clusterId_example,
    limit: 100,
    offset: 200, 
    options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name          | Type       | Description                                                                                    | Notes                        |
| ------------- | ---------- | ---------------------------------------------------------------------------------------------- | ---------------------------- |
| **clusterId** | **string** | The unique ID of the cluster.                                                                  | \[default to undefined]      |
| **limit**     | **number** | The maximum number of elements to return. Use together with \&#39;offset\&#39; for pagination. | \[optional]\[default to 100] |
| **offset**    | **number** | The first element to return. Use together with \&#39;limit\&#39; for pagination.               | \[optional]\[default to 0]   |

### Return type

[**UsersList**](/mongodb-sdk-nodejs/models/userslist.md)

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## clustersUsersPatch

> clustersUsersPatch(clusterId, username, patchUserRequest)

Patch a MongoDB User by ID

Patches a MongoDB user specified by its ID.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs-dbaas-mongo');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.UsersApi(config);
// Patch a MongoDB User by ID
api_instance
  .clustersUsersPatch({
    clusterId: clusterId_example,
    username: username_example,
    patchUserRequest: patchUserRequest_example
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                 | Type                                                                                                                      | Description                                        | Notes                   |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------- | ----------------------- |
| **clusterId**        | **string**                                                                                                                | The unique ID of the cluster.                      | \[default to undefined] |
| **username**         | **string**                                                                                                                | The authentication username.                       | \[default to undefined] |
| **patchUserRequest** | [**PatchUserRequest**](https://github.com/ionos-cloud/sdk-nodejs-dbaas-mongo/blob/master/docs/models/PatchUserRequest.md) | Part of the MongoDB user which should be modified. |                         |

### Return type

[**User**](/mongodb-sdk-nodejs/models/user.md)

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## clustersUsersPost

> clustersUsersPost(clusterId, user)

Create MongoDB User

Creates a MongoDB user.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs-dbaas-mongo');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.UsersApi(config);
// Create MongoDB User
api_instance
  .clustersUsersPost({
    clusterId: clusterId_example,
    user: user_example
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name          | Type                                           | Description                   | Notes                   |
| ------------- | ---------------------------------------------- | ----------------------------- | ----------------------- |
| **clusterId** | **string**                                     | The unique ID of the cluster. | \[default to undefined] |
| **user**      | [**User**](/mongodb-sdk-nodejs/models/user.md) | The user to be created.       |                         |

### Return type

[**User**](/mongodb-sdk-nodejs/models/user.md)

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/mongodb-sdk-nodejs/api/usersapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
